Last Comment Bug 1185268 - [yosemite][Thunderbird] Simplified Chinese shows up in Traditional Chinese mode when saving an image (attachment)
: [yosemite][Thunderbird] Simplified Chinese shows up in Traditional Chinese mo...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86 Mac OS X
-- normal (vote)
: Thunderbird 43.0
Assigned To: Thomasy
:
:
Mentors:
https://bug1089363.bugzilla.mozilla.o...
Depends on: 1089363
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-18 10:20 PDT by Philip Chee
Modified: 2015-11-05 12:26 PST (History)
22 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
wontfix
fixed
fixed
fixed
-
affected


Attachments
bug1185268_rev1.patch (3.87 KB, patch)
2015-08-08 05:38 PDT, Thomasy
mkmelin+mozilla: review+
rkent: approval‑comm‑aurora+
rkent: approval‑comm‑beta+
rkent: approval‑comm‑esr38-
Details | Diff | Splinter Review
fixed_version_dialog.png (86.16 KB, image/png)
2015-08-08 05:43 PDT, Thomasy
no flags Details

Description User image Philip Chee 2015-07-18 10:20:52 PDT
+++ This bug was initially created as a clone of Bug #1089363 +++

(From Bug 1089363 comment #47)
> Created attachment 8548547 [details]
> Thunderbird may be affected by this bug
> 
> I wonder if Thunderbird is affected by this bug?
> The attachment is the menu from Thunderbird. It shows the simplified Chinese.
> If it is affected, we need to open a new one.
https://bug1089363.bugzilla.mozilla.org/attachment.cgi?id=8548547

(From Bug 1089363 comment #0)
> Created attachment 8511644 [details]
> Screenshot https://bug1089363.bugzilla.mozilla.org/attachment.cgi?id=8511644
> 
> The language was in Traditional Chinese, but when the user look at an image,
> right-clicked and chose "Save as", some fields in the dialog were in
> Simplified Chinese.
Comment 1 User image Wayne Mery (:wsmwk, NI for questions) 2015-07-20 06:32:33 PDT
IS this a regression?
Comment 2 User image Irvin (MozTW) 2015-07-20 06:49:08 PDT
I think this is broken by some change from OS X 10.10, not an regression.
Comment 3 User image Philip Chee 2015-07-20 08:21:17 PDT
(In reply to Wayne Mery (:wsmwk, use Needinfo for questions) from comment #1)
> IS this a regression?

https://bugzilla.mozilla.org/show_bug.cgi?id=1089363#c12
OS X 10.10 and higher changed the way certain files are parsed. Or perhaps just more strict and we got away with it in the past.
Comment 4 User image Kent James (:rkent) 2015-07-23 13:54:55 PDT
Should this bug be morphed into a request to uplift the patch from bug 1089363 to Thunderbird 38?
Comment 5 User image Kent James (:rkent) 2015-07-25 10:14:58 PDT
After looking at bug 1089363, that is mostly for browser, so we would have to port those changes to Thunderbird.
Comment 7 User image Thomasy 2015-08-08 05:43:17 PDT
Created attachment 8645350 [details]
fixed_version_dialog.png
Comment 8 User image Kent James (:rkent) 2015-08-10 18:55:33 PDT
Comment on attachment 8645348 [details] [diff] [review]
bug1185268_rev1.patch

Philip Chee, could you review this and test the try-server build, since you are pushing for an uplift?

Magnus would be a better reviewer than I, but I'll try it if he does not have time.
Comment 9 User image Philip Chee 2015-08-11 11:24:55 PDT
Comment on attachment 8645348 [details] [diff] [review]
bug1185268_rev1.patch

(In reply to Kent James (:rkent) from comment #8)

> Philip Chee, could you review this and test the try-server build, since you
> are pushing for an uplift?

1. I don't have an Apple. 2. L10n build configuration is a mystery to me. 3.

> Magnus would be a better reviewer than I, but I'll try it if he does not
> have time.
Jcranmer probably knows the build system better than anyone in comm-central.

Also see ewong's comment in the SeaMonkey version of this patch in https://bugzilla.mozilla.org/show_bug.cgi?id=1185270#c5
Comment 10 User image Magnus Melin 2015-08-13 12:56:36 PDT
Comment on attachment 8645348 [details] [diff] [review]
bug1185268_rev1.patch

Review of attachment 8645348 [details] [diff] [review]:
-----------------------------------------------------------------

LGTM, r=mkmelin
Comment 11 User image Richard Marti (:Paenglab) 2015-08-14 12:29:59 PDT
http://hg.mozilla.org/comm-central/rev/8eb72461147a
Comment 12 User image Kent James (:rkent) 2015-09-14 15:43:32 PDT
Comment on attachment 8645348 [details] [diff] [review]
bug1185268_rev1.patch

https://hg.mozilla.org/releases/comm-aurora/rev/a10cac67957d
https://hg.mozilla.org/releases/comm-beta/rev/b1afb50fb6dd

I'm leaning toward not taking this in Thunderbird 38.3.0 and waiting until 38.4.0  Nobody seems to be pushing it very hard, and I don't understand the issues well enough to convince myself this is low risk.

If someone else wants to make the case for 38.3.0 there is still time. It should go in the next TB 41 beta.
Comment 13 User image Kent James (:rkent) 2015-11-05 12:04:26 PST
This does not seem to be generating any known user issues, so no real reason to take the risk for esr38.

Note You need to log in before you can comment on or make changes to this bug.